@echo off
date /T
time /T

REM Pfade
rem --> anpassen an lokale Gegebenheiten!
set TRIOS_BASE=E:\computer\hive\hive-trios


REM ----------------------------------------------------------------
rem Rest ist allgemeingueltig

set "MB_SRC=%~dp0"
set "DESTDIR=%MB_SRC%..\bin"
set BSTC=%TRIOS_BASE%\bstc.exe
set "LIBS=-L %MB_SRC%lib_m -L %TRIOS_BASE%\lib"
set "OPTS=-O a"

REM ----------------------------------------------------------------
REM Vorbereitungen

cd %MB_SRC%
mkdir %DESTDIR%
del /q %DESTDIR%\*.*

REM ----------------------------------------------------------------
REM Programme erzeugen

call :compile administra_m admflash adm_rt2 adm
call :compile bellatrix_m g0key g0_m bel
call :compile messung_1 messungen mess1 bin
call :compile diagram diagram diagram bin

copy /y diagram\diagram.txt %DESTDIR%

goto :EOF

REM ----------------------------------------------------------------

:compile
REM Parameter: SOURCE_DIR SOURCE_NAME DEST_NAME DEST_EXTENSION
echo Compile %1\%2.spin
%BSTC% %LIBS% %OPTS% -o %2 -b %1\%2.spin
move %2.binary %DESTDIR%\%3.%4
